> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active Data Providers

> Use the /api/v1/providers endpoint to list active Data Providers.

Use the `/api/v1/providers` endpoint to list which Data Providers a particular Data Recipient is registered with.

Before a customer starts working with a Data Recipient, confirm their Data Provider is registered with the Data Recipient they want to work with. If the Data Recipient is already registered with the Data Provider, use the [/Authorize](./authorize-with-a-data-provider) endpoint to initiate the authorization flow. If they are not yet registered, use the [/Recipients/providers/requests](/api/outbound/endpoints/registration/request-data-provider-registrations) endpoint to submit a registration request to Flinks.

To successfully call this endpoint, you must first call the [/Token](./token) endpoint using the `client_credentials` grant\_type to obtain a valid `access_token`.


## OpenAPI

````yaml /openapi-outbound-auth.yaml GET /api/v1/providers
openapi: 3.0.3
info:
  title: Flinks Outbound Auth API
  description: |
    Flinks Outbound Authentication API.
    Endpoints for generating authorization tokens and authenticating requests.
  version: 3.0.0
servers:
  - url: https://{host}
    description: Flinks Outbound Auth Server
    variables:
      host:
        default: '{host}'
        description: Host URL
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/providers:
    get:
      tags:
        - Outbound
      summary: List Active Data Providers (v1)
      description: Use the /api/v1/providers endpoint to list active Data Providers.
      operationId: listActiveDataProvidersV1
      responses:
        '200':
          description: Returns an array of Data Provider objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    provider_id:
                      type: integer
                      description: The unique identifier of the Data Provider.
                    name:
                      type: string
                      description: The name of the Data Provider.
                    country:
                      type: string
                      description: The country the Data Provider operates in.
              example:
                - id: 1000
                  name: FlinksCapital
        '401':
          description: Returned when the access token is missing, invalid, or expired.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Unauthorized
        '404':
          description: Returned when no Data Providers are found.
          content:
            application/json:
              schema:
                type: object

````